Package org.jbpm.kie.services.impl.store

## Class DeploymentStore

- java.lang.Object
- - org.jbpm.kie.services.impl.store.DeploymentStore

-     public class DeploymentStore
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentStore()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `activateDeploymentUnit​(DeploymentUnit unit)` |
    `protected String` | `buildEntryAttributes​(Map<String,​String> attributes)` |
    `void` | `deactivateDeploymentUnit​(DeploymentUnit unit)` |
    `void` | `disableDeploymentUnit​(DeploymentUnit unit)` |
    `void` | `enableDeploymentUnit​(DeploymentUnit unit)` |
    `DeploymentStoreEntry` | `findDeploymentStoreByDeploymentId​(String deploymentId)` |
    `Collection<DeploymentUnit>` | `getDeactivatedDeploymentUnits()` |
    `void` | `getDeploymentUnitsByDate​(Date date, Collection<DeploymentUnit> enabled, Collection<DeploymentUnit> disabled, Collection<DeploymentUnit> activated, Collection<DeploymentUnit> deactivated)` |
    `Collection<DeploymentUnit>` | `getEnabledDeploymentUnits()` |
    `protected Map<String,​String>` | `getEntryAttributes​(String attributes)` |
    `void` | `markDeploymentUnitAsObsolete​(DeploymentUnit unit)` |
    `void` | `setCommandService​(TransactionalCommandService commandService)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentStore

          public DeploymentStore()

  - ### Method Detail

    - #### setCommandService

          public void setCommandService​(TransactionalCommandService commandService)

    - #### getEnabledDeploymentUnits

          public Collection<DeploymentUnit> getEnabledDeploymentUnits()

    - #### getDeactivatedDeploymentUnits

          public Collection<DeploymentUnit> getDeactivatedDeploymentUnits()

    - #### getDeploymentUnitsByDate

          public void getDeploymentUnitsByDate​(Date date,
                                               Collection<DeploymentUnit> enabled,
                                               Collection<DeploymentUnit> disabled,
                                               Collection<DeploymentUnit> activated,
                                               Collection<DeploymentUnit> deactivated)

    - #### enableDeploymentUnit

          public void enableDeploymentUnit​(DeploymentUnit unit)

    - #### disableDeploymentUnit

          public void disableDeploymentUnit​(DeploymentUnit unit)

    - #### deactivateDeploymentUnit

          public void deactivateDeploymentUnit​(DeploymentUnit unit)

    - #### activateDeploymentUnit

          public void activateDeploymentUnit​(DeploymentUnit unit)

    - #### markDeploymentUnitAsObsolete

          public void markDeploymentUnitAsObsolete​(DeploymentUnit unit)

    - #### findDeploymentStoreByDeploymentId

          public DeploymentStoreEntry findDeploymentStoreByDeploymentId​(String deploymentId)

    - #### getEntryAttributes

          protected Map<String,​String> getEntryAttributes​(String attributes)

    - #### buildEntryAttributes

          protected String buildEntryAttributes​(Map<String,​String> attributes)